#pragma once

//=====================================================================================//
//                                  namespace Utility                                  //
//=====================================================================================//
namespace Utility
{
	
//=====================================================================================//
//                                void FreeMediaType()                                 //
//=====================================================================================//
void FreeMediaType(AM_MEDIA_TYPE& mt);

//=====================================================================================//
//                              HRESULT GetUnconnectedPin                              //
//=====================================================================================//
HRESULT GetUnconnectedPin(
    IBaseFilter *pFilter,   // Pointer to the filter.
    PIN_DIRECTION PinDir,   // Direction of the pin to find.
    IPin **ppPin);          // Receives a pointer to the pin.

//=====================================================================================//
//                               HRESULT ConnectFilters                                //
//=====================================================================================//
HRESULT ConnectFilters(
    IGraphBuilder *pGraph, // Filter Graph Manager.
    IPin *pOut,            // Output pin on the upstream filter.
    IBaseFilter *pDest);   // Downstream filter.

//=====================================================================================//
//                               HRESULT ConnectFilters                                //
//=====================================================================================//
HRESULT ConnectFilters(
    IGraphBuilder *pGraph, 
    IBaseFilter *pSrc, 
    IBaseFilter *pDest);

}	//	namespace Utility

